List connection types
curl --request GET \
--url https://app.blinkops.com/api/v1/connection_types \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://app.blinkops.com/api/v1/connection_types"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch('https://app.blinkops.com/api/v1/connection_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"offset": 123,
"total": 123,
"results": [
{
"attributes": {},
"created_at": 123,
"created_by": "<string>",
"display_name": "<string>",
"documentation_link": "<string>",
"icon_uri": "<string>",
"id": "<string>",
"metadata": {
"authentication": {
"keys": [
{
"format": "<string>",
"name": "<string>"
}
],
"staticHeaders": {},
"twoLeggedValues": {
"actionToRunParamValues": {
"body": {},
"contentType": "<string>",
"headers": {},
"ignoreSSL": {},
"method": "<string>",
"url": "<string>"
},
"connectionParams": [
"<string>"
],
"extractor": {
"accessKeyPath": "<string>",
"expiry": {
"defaultExpiry": {},
"path": "<string>",
"type": "<string>"
},
"isInHeader": true,
"isJWT": {}
}
},
"type": "<string>"
},
"createdWithOAuth": true,
"defaultAPIAddress": "<string>",
"ignoreSSL": true,
"methods": [
{
"attributes": [
"<string>"
],
"description": "<string>",
"display_name": "<string>",
"documentation_link": "<string>",
"hidden": true,
"is_recommended": true,
"keys": [
{
"format": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"oauth_supported": true,
"two_legged_values": {
"actionToRunParamValues": {
"body": {},
"contentType": "<string>",
"headers": {},
"ignoreSSL": {},
"method": "<string>",
"url": "<string>"
},
"connectionParams": [
"<string>"
],
"extractor": {
"accessKeyPath": "<string>",
"expiry": {
"defaultExpiry": {},
"path": "<string>",
"type": "<string>"
},
"isInHeader": true,
"isJWT": {}
}
},
"type": "<string>"
}
],
"pagination": {
"descriptor": {},
"type": "<string>"
},
"testConnection": {
"body": {},
"endpoint": "<string>",
"expected": {
"contentType": "<string>",
"errorPath": "<string>",
"formatURL": "<string>",
"payload": {},
"statusCodes": "<string>"
},
"headers": {},
"type": "<string>"
},
"urlwhitelist": [
"<string>"
],
"validation": {
"contentType": "<string>",
"errorPath": "<string>",
"formatURL": "<string>",
"payload": {},
"statusCodes": "<string>"
},
"variables": {}
},
"methods": [
{
"attributes": [
"<string>"
],
"description": "<string>",
"display_name": "<string>",
"documentation_link": "<string>",
"hidden": true,
"is_recommended": true,
"keys": [
{
"format": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"oauth_supported": true,
"two_legged_values": {
"actionToRunParamValues": {
"body": {},
"contentType": "<string>",
"headers": {},
"ignoreSSL": {},
"method": "<string>",
"url": "<string>"
},
"connectionParams": [
"<string>"
],
"extractor": {
"accessKeyPath": "<string>",
"expiry": {
"defaultExpiry": {},
"path": "<string>",
"type": "<string>"
},
"isInHeader": true,
"isJWT": {}
}
},
"type": "<string>"
}
],
"name": "<string>",
"oauth_supported": true,
"plugin_name": "<string>",
"tenant_id": "<string>",
"updated_at": 123,
"updated_by": "<string>"
}
]
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Connections
List connection types
API endpoint to list all available connection types supported by Blink.
GET
/
connection_types
List connection types
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Query Parameters
For the RQL query syntax, visit our RQL query documentation in the RQL Format tab
Was this page helpful?
⌘I